// <auto-generated>
//  automatically generated by the FlatBuffers compiler, do not modify
// </auto-generated>

namespace Veneris.Communications
{

using global::System;
using global::System.Collections.Generic;
using global::FlatBuffers;

public struct RegisterReceiverGain : IFlatbufferObject
{
  private Table __p;
  public ByteBuffer ByteBuffer { get { return __p.bb; } }
  public static void ValidateVersion() { FlatBufferConstants.FLATBUFFERS_2_0_0(); }
  public static RegisterReceiverGain GetRootAsRegisterReceiverGain(ByteBuffer _bb) { return GetRootAsRegisterReceiverGain(_bb, new RegisterReceiverGain()); }
  public static RegisterReceiverGain GetRootAsRegisterReceiverGain(ByteBuffer _bb, RegisterReceiverGain obj) { return (obj.__assign(_bb.GetInt(_bb.Position) + _bb.Position, _bb)); }
  public void __init(int _i, ByteBuffer _bb) { __p = new Table(_i, _bb); }
  public RegisterReceiverGain __assign(int _i, ByteBuffer _bb) { __init(_i, _bb); return this; }

  public int RxId { get { int o = __p.__offset(4); return o != 0 ? __p.bb.GetInt(o + __p.bb_pos) : (int)0; } }
  public int GainId { get { int o = __p.__offset(6); return o != 0 ? __p.bb.GetInt(o + __p.bb_pos) : (int)0; } }

  public static Offset<Veneris.Communications.RegisterReceiverGain> CreateRegisterReceiverGain(FlatBufferBuilder builder,
      int rxId = 0,
      int gainId = 0) {
    builder.StartTable(2);
    RegisterReceiverGain.AddGainId(builder, gainId);
    RegisterReceiverGain.AddRxId(builder, rxId);
    return RegisterReceiverGain.EndRegisterReceiverGain(builder);
  }

  public static void StartRegisterReceiverGain(FlatBufferBuilder builder) { builder.StartTable(2); }
  public static void AddRxId(FlatBufferBuilder builder, int rxId) { builder.AddInt(0, rxId, 0); }
  public static void AddGainId(FlatBufferBuilder builder, int gainId) { builder.AddInt(1, gainId, 0); }
  public static Offset<Veneris.Communications.RegisterReceiverGain> EndRegisterReceiverGain(FlatBufferBuilder builder) {
    int o = builder.EndTable();
    return new Offset<Veneris.Communications.RegisterReceiverGain>(o);
  }
  public static void FinishRegisterReceiverGainBuffer(FlatBufferBuilder builder, Offset<Veneris.Communications.RegisterReceiverGain> offset) { builder.Finish(offset.Value); }
  public static void FinishSizePrefixedRegisterReceiverGainBuffer(FlatBufferBuilder builder, Offset<Veneris.Communications.RegisterReceiverGain> offset) { builder.FinishSizePrefixed(offset.Value); }
};


}
